Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.red5.server.stream
Enum AbstractStream.State

    java.lang.Object
      java.lang.Enum<AbstractStream.State>
          org.red5.server.stream.AbstractStream.State

All Implemented Interfaces:
  Serializable, Comparable<AbstractStream.State>

Enclosing class:
  AbstractStream

    protected static enum AbstractStream.State

extends Enum<AbstractStream.State>

Enumeration for states

Enum Constant Summary
`CLOSED`
`PAUSED`
`PLAYING`
`STOPPED`
`UNINIT`

Method Summary
`static AbstractStream.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractStream.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNINIT

    public static final AbstractStream.State UNINIT

### CLOSED

    public static final AbstractStream.State CLOSED

### STOPPED

    public static final AbstractStream.State STOPPED

### PLAYING

    public static final AbstractStream.State PLAYING

### PAUSED

    public static final AbstractStream.State PAUSED

Method Detail

### values

    public static AbstractStream.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractStream.State c : AbstractStream.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractStream.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 The Red5 Project